﻿using Ai.AgentServer.Server.Fuel;
using Ai.AgentServer.Server.FuelDto;
using MQTTnet.Client;
using Newtonsoft.Json;

namespace Ai.AgentServer.Server
{
    /// <summary>
    /// 格灵mq
    /// </summary>
    public class MqttServer: IMqttServer
    {
     
        public MqttServer( )
        {
            
        }


        public async Task<bool> PublicMessage(string topic,string type, HttpThirdRequest request)
        {
            //暂时指传递交易上传的类型数据  && type!= "refuel_out_process"
            if (string.IsNullOrEmpty(type)) {
                Console.WriteLine($"type{type}命令不能为空 {DateTime.Now}");
                return false;
            }

            var requestDto= new MqttRequestDto();
            requestDto.MsgId = 10001;
            //switch (type)
            //{
            //    //交易数据上传
            //    case "refuel_out_process":
            //        requestDto.MsgId = 10001;
            //        break;
            //    ////交易数据上传
            //    //case "refuel_out_process":
            //    //    requestDto.MsgId = 10001;
            //    //    break;
            //    default:
            //        Console.WriteLine($"type命令匹配不到");
            //        return Task.FromResult(false);
            //        break;
            //}
            try
            {
                requestDto.Data = request;
                var result=await MqttClientService._mqttClient.PublishStringAsync($"/ToServer/{topic}", JsonConvert.SerializeObject(requestDto));
                return result.IsSuccess;
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex.Message);
                return false;
            }
     
        }
    }
}
